Bug 1480373 - SSA: RHV 4.1 mount.nfs: Protocol family not supported
SSA: RHV 4.1 mount.nfs: Protocol family not supported
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis (Show other bugs)
5.8.0
All All
high Severity high
: GA
: cfme-future
Assigned To: Rich Oliveri
Satyajit Bulage
provider:rhev:ssa
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 16:39 EDT by Kevin Morey
Modified: 2017-12-11 10:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 11:05:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)

  None (edit)
Description Kevin Morey 2017-08-10 16:39:16 EDT
Description of problem:
While onsite this week ran into an issue with Smart State Analysis via NFS v3 over RHV 4.1 VMs.

Version-Release number of selected component (if applicable):
5.8.1.5

How reproducible:
100%

Steps to Reproduce:
1. Scan a RHV VM that resides on a NFS v3 storage domain
2.
3.

Actual results:


Expected results:


Additional info:
ERROR -- : MIQ(MiqNfsSession-connect) Connecting to host: [tintri-02-data.example.com], share: [/tintri/rhv] encountered error: [RuntimeError] [mount.nfs: Protocol family not supported
].../opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/mount/miq_generic_mount_session.rb:42:in `runcmd'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/mount/miq_generic_mount_session.rb:28:in `runcmd'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/mount/miq_nfs_session.rb:31:in `mount_share'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/mount/miq_generic_mount_session.rb:137:in `connect'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/mount/miq_nfs_session.rb:12:in `connect'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqRhevmVm.rb:151:in `block in mount_storage'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqRhevmVm.rb:146:in `each'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqRhevmVm.rb:146:in `mount_storage'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqRhevmVm.rb:7:in `openDisks'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqVm.rb:67:in `vmDisks'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqVm.rb:173:in `volumeManager'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqVm.rb:167:in `rootTrees'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/metadata/MIQExtract/MIQExtract.rb:58:in `initialize'
/var/www/miq/vmdb/app/models/mixins/scanning_mixin.rb:235:in `new'
/var/www/miq/vmdb/app/models/mixins/scanning_mixin.rb:235:in `scan_via_miq_vm'
/var/www/miq/vmdb/app/models/manageiq/providers/redhat/infra_manager/vm_or_template_shared/scanning.rb:28:in `perform_metadata_scan'
/var/www/miq/vmdb/app/models/miq_server/server_smart_proxy.rb:122:in `scan_metadata'
/var/www/miq/vmdb/app/models/miq_queue.rb:347:in `block in deliver'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:91:in `block in timeout'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `block in catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
/opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:106:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:343:in `deliver'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:107:in `deliver_queue_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:135:in `deliver_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:153:in `block in do_work'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:147:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:147:in `do_work'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:340:in `block in do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:337:in `loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:337:in `do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:160:in `run'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:134:in `start'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:21:in `start_worker'
/var/www/miq/vmdb/app/models/miq_worker.rb:339:in `block in start_runner'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.3/lib/nakayoshi_fork.rb:24:in `fork'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.3/lib/nakayoshi_fork.rb:24:in `fork'
/var/www/miq/vmdb/app/models/miq_worker.rb:337:in `start_runner'
/var/www/miq/vmdb/app/models/miq_worker.rb:348:in `start'
/var/www/miq/vmdb/app/models/miq_worker.rb:266:in `start_worker'
/var/www/miq/vmdb/app/models/miq_worker.rb:150:in `block in sync_workers'
/var/www/miq/vmdb/app/models/miq_worker.rb:150:in `times'
/var/www/miq/vmdb/app/models/miq_worker.rb:150:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:53:in `block in sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `each'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:22:in `monitor_workers'
/var/www/miq/vmdb/app/models/miq_server.rb:349:in `block in monitor'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/extensions/miq-benchmark.rb:30:in `realtime_block'
/var/www/miq/vmdb/app/models/miq_server.rb:349:in `monitor'
/var/www/miq/vmdb/app/models/miq_server.rb:371:in `block (2 levels) in monitor_loop'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
/opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/extensions/miq-benchmark.rb:30:in `realtime_block'
/var/www/miq/vmdb/app/models/miq_server.rb:371:in `block in monitor_loop'
/var/www/miq/vmdb/app/models/miq_server.rb:370:in `loop'
/var/www/miq/vmdb/app/models/miq_server.rb:370:in `monitor_loop'
/var/www/miq/vmdb/app/models/miq_server.rb:253:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:65:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:91:in `start'
/var/www/miq/vmdb/lib/workers/bin/evm_server.rb:4:in `<main>'
[----] I, [2017-08-10T09:57:46.403323 #57813:b51134]  INFO -- : MIQ(Class-disconnect) Disconnecting mount point: /mnt/3a12c08e-1490-4adc-8d61-8e402ea3d94d/tintri-02-data.example.com:_tintri_rhv
[----] I, [2017-08-10T09:57:46.445612 #57813:b51134]  INFO -- : MIQ(Class-disconnect) Disconnecting mount point: /mnt/3a12c08e-1490-4adc-8d61-8e402ea3d94d/tintri-02-data.example.com:_tintri_rhv...Complete
[----] E, [2017-08-10T09:57:46.445715 #57813:b51134] ERROR -- : MIQ(MiqRhevmVm.mount_storage) Unable to mount all items from </mnt/3a12c08e-1490-4adc-8d61-8e402ea3d94d>
[----] W, [2017-08-10T09:57:46.445790 #57813:b51134]  WARN -- : MIQ(MiqRhevmVm.unmount_storage) Unmount all items from </mnt/3a12c08e-1490-4adc-8d61-8e402ea3d94d>
[----] I, [2017-08-10T09:57:46.445846 #57813:b51134]  INFO -- : MIQ(Class-disconnect) Disconnecting mount point: /mnt/3a12c08e-1490-4adc-8d61-8e402ea3d94d/tintri-02-data.example.com:_tintri_rhv
[----] I, [2017-08-10T09:57:46.480131 #57813:b51134]  INFO -- : MIQ(Class-disconnect) Disconnecting mount point: /mnt/3a12c08e-1490-4adc-8d61-8e402ea3d94d/tintri-02-data.example.com:_tintri_rhv...Complete
[----] E, [2017-08-10T09:57:46.480380 #57813:b51134] ERROR -- : Unable to mount filesystem.  Reason:[mount.nfs: Protocol family not supported
] for VM [/rhev/data-center/00000001-0001-0001-0001-000000000311/mastersd/master/vms/3a12c08e-1490-4adc-8d61-8e402ea3d94d/3a12c08e-1490-4adc-8d61-8e402ea3d94d.ovf]
[----] E, [2017-08-10T09:57:46.480442 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/mount/miq_generic_mount_session.rb:42:in `runcmd'
[----] E, [2017-08-10T09:57:46.480480 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/mount/miq_generic_mount_session.rb:28:in `runcmd'
[----] E, [2017-08-10T09:57:46.480514 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/mount/miq_nfs_session.rb:31:in `mount_share'
[----] E, [2017-08-10T09:57:46.480544 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/mount/miq_generic_mount_session.rb:137:in `connect'
[----] E, [2017-08-10T09:57:46.480573 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/mount/miq_nfs_session.rb:12:in `connect'
[----] E, [2017-08-10T09:57:46.480602 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqRhevmVm.rb:151:in `block in mount_storage'
[----] E, [2017-08-10T09:57:46.480628 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqRhevmVm.rb:146:in `each'
[----] E, [2017-08-10T09:57:46.480659 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqRhevmVm.rb:146:in `mount_storage'
[----] E, [2017-08-10T09:57:46.480689 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqRhevmVm.rb:7:in `openDisks'
[----] E, [2017-08-10T09:57:46.480718 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqVm.rb:67:in `vmDisks'
[----] E, [2017-08-10T09:57:46.480747 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqVm.rb:173:in `volumeManager'
[----] E, [2017-08-10T09:57:46.480775 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/MiqVm/MiqVm.rb:167:in `rootTrees'
[----] E, [2017-08-10T09:57:46.480802 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/metadata/MIQExtract/MIQExtract.rb:58:in `initialize'
[----] E, [2017-08-10T09:57:46.480830 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/mixins/scanning_mixin.rb:235:in `new'
[----] E, [2017-08-10T09:57:46.480859 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/mixins/scanning_mixin.rb:235:in `scan_via_miq_vm'
[----] E, [2017-08-10T09:57:46.480886 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/manageiq/providers/redhat/infra_manager/vm_or_template_shared/scanning.rb:28:in `perform_metadata_scan'
[----] E, [2017-08-10T09:57:46.480913 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server/server_smart_proxy.rb:122:in `scan_metadata'
[----] E, [2017-08-10T09:57:46.480941 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_queue.rb:347:in `block in deliver'
[----] E, [2017-08-10T09:57:46.481005 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:91:in `block in timeout'
[----] E, [2017-08-10T09:57:46.481038 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `block in catch'
[----] E, [2017-08-10T09:57:46.481087 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
[----] E, [2017-08-10T09:57:46.481116 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:33:in `catch'
[----] E, [2017-08-10T09:57:46.481148 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/rh-ruby23/root/usr/share/ruby/timeout.rb:106:in `timeout'
[----] E, [2017-08-10T09:57:46.481181 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_queue.rb:343:in `deliver'
[----] E, [2017-08-10T09:57:46.481209 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:107:in `deliver_queue_message'
[----] E, [2017-08-10T09:57:46.481237 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:135:in `deliver_message'
[----] E, [2017-08-10T09:57:46.481264 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:153:in `block in do_work'
[----] E, [2017-08-10T09:57:46.481308 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:147:in `loop'
[----] E, [2017-08-10T09:57:46.481334 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:147:in `do_work'
[----] E, [2017-08-10T09:57:46.481359 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker/runner.rb:340:in `block in do_work_loop'
[----] E, [2017-08-10T09:57:46.481387 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker/runner.rb:337:in `loop'
[----] E, [2017-08-10T09:57:46.481431 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker/runner.rb:337:in `do_work_loop'
[----] E, [2017-08-10T09:57:46.481459 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker/runner.rb:160:in `run'
[----] E, [2017-08-10T09:57:46.481487 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker/runner.rb:134:in `start'
[----] E, [2017-08-10T09:57:46.481513 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker/runner.rb:21:in `start_worker'
[----] E, [2017-08-10T09:57:46.481562 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker.rb:339:in `block in start_runner'
[----] E, [2017-08-10T09:57:46.481591 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.3/lib/nakayoshi_fork.rb:24:in `fork'
[----] E, [2017-08-10T09:57:46.481618 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.3/lib/nakayoshi_fork.rb:24:in `fork'
[----] E, [2017-08-10T09:57:46.481647 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker.rb:337:in `start_runner'
[----] E, [2017-08-10T09:57:46.481676 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker.rb:348:in `start'
[----] E, [2017-08-10T09:57:46.481703 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker.rb:266:in `start_worker'
[----] E, [2017-08-10T09:57:46.481732 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker.rb:150:in `block in sync_workers'
[----] E, [2017-08-10T09:57:46.481775 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker.rb:150:in `times'
[----] E, [2017-08-10T09:57:46.481805 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_worker.rb:150:in `sync_workers'
[----] E, [2017-08-10T09:57:46.481831 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:53:in `block in sync_workers'
[----] E, [2017-08-10T09:57:46.481857 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `each'
[----] E, [2017-08-10T09:57:46.481880 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `sync_workers'
[----] E, [2017-08-10T09:57:46.481908 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:22:in `monitor_workers'
[----] E, [2017-08-10T09:57:46.481937 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server.rb:349:in `block in monitor'
[----] E, [2017-08-10T09:57:46.481990 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
[----] E, [2017-08-10T09:57:46.482020 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/extensions/miq-benchmark.rb:30:in `realtime_block'
[----] E, [2017-08-10T09:57:46.482048 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server.rb:349:in `monitor'
[----] E, [2017-08-10T09:57:46.482076 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server.rb:371:in `block (2 levels) in monitor_loop'
[----] E, [2017-08-10T09:57:46.482104 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/extensions/miq-benchmark.rb:11:in `realtime_store'
[----] E, [2017-08-10T09:57:46.482136 #57813:b51134] ERROR -- : MIQExtract.new /opt/rh/cfme-gemset/bundler/gems/manageiq-gems-pending-8f7d63f441d5/lib/gems/pending/util/extensions/miq-benchmark.rb:30:in `realtime_block'
[----] E, [2017-08-10T09:57:46.482171 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server.rb:371:in `block in monitor_loop'
[----] E, [2017-08-10T09:57:46.482201 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server.rb:370:in `loop'
[----] E, [2017-08-10T09:57:46.482228 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server.rb:370:in `monitor_loop'
[----] E, [2017-08-10T09:57:46.482255 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/app/models/miq_server.rb:253:in `start'
[----] E, [2017-08-10T09:57:46.482298 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/lib/workers/evm_server.rb:65:in `start'
[----] E, [2017-08-10T09:57:46.482325 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/lib/workers/evm_server.rb:91:in `start'
[----] E, [2017-08-10T09:57:46.482353 #57813:b51134] ERROR -- : MIQExtract.new /var/www/miq/vmdb/lib/workers/bin/evm_server.rb:4:in `<main>'
Comment 2 Dave Johnson 2017-08-21 12:18:28 EDT
Satyajit, can you try to reproduce this please using the rhv 4.1 test environment that we have online.  Maybe work with istein from RHV QE.
Comment 4 Ilanit Stein 2017-08-28 09:33:09 EDT
Kevin,
As the problem was not reproduced so far,
Would you please provide more details, like VM OS, Storage meta data, 
or maybe access to the RHV-4.1, where this problem occur.

Rich,
This might be a problem that is not RHV specific.
Could you please take a look, and see i you can find what might be causing this problem?

Thanks.
Comment 6 Rich Oliveri 2017-08-28 11:20:21 EDT
I don't think it's specific to RHV-4.1 VMs, but rather NFS protocol 3. It sounds like the mount is failing because the client (appliance) doesn't support the NFS 3 protocol.

It's RHV specific, but only because we only need to mount the NFS share on the appliance for RHV SSA. However, I think it may be an issue with the reporter's appliance. I would think the current implementations of NFS on the appliance should support both, NFS 3 and 4, and the protocol negotiation is transparent to our code. If the NFS client on the appliance doesn't support NFS 3, then we can't support NFS 3 storage.

Note You need to log in before you can comment on or make changes to this bug.